      SUBROUTINE KROTLEV(DELE,JMAX,B,JK,IR,NMAX)
 
c%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
c
c DenSum: a code for calculating sums and densities of states.
c Copyright (C) 2007 John R. Barker
c
c John R. Barker
c jrbarker@umich.edu
c University of Michigan
c Ann Arbor, MI 48109-2143
c (734) 763 6239
c
c This program is free software; you can redistribute it and/or
c modify it under the terms of the GNU General Public License (version 2)
c as published by the Free Software Foundation.
c
c This program is distributed in the hope that it will be useful,
c but WITHOUT ANY WARRANTY; without even the implied warranty of
c MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
c GNU General Public License for more details.
c
c See the "ReadMe" file for a copy of the GNU General Public License,
c or contact:
c
c Free Software Foundation, Inc.
c 59 Temple Place - Suite 330
c Boston, MA 02111-1307, USA.
c
c%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
C
C	CALCULATES ENERGY LEVELS FOR 1-DIMENSIONAL K-ROTOR TO BE USED
C          WITH STERAB
C
c	DELE	= energy grain size
c	JMAX	= index of Emax
c	B	= rotational constant (cm-1)
c	JK	= quantum number for total angular momentum
c	IR	= vector of energy level indices
c	NMAX	= ceiling of array
c
c
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)
      DIMENSION IR(20001)
      SAVE 
 
      RMAX = SQRT(JMAX*DELE/B)          ! Highest rotational quantum number consistent with energy ceiling
      NMAX = INT(RMAX) + 1              ! Integer version
      IF ( NMAX .GT. JK ) NMAX = JK
      IF ( NMAX .GT. 20001 ) NMAX = 20001
       
      IF ( NMAX .GT. 0 ) THEN
      DO 100 K = 1 , NMAX               ! K = quantum number of 1-dimensional free rotor
         R = B*K*K/DELE                 ! index number starting at 0
c         IR(K) = INT(R) + 1		! Truncation: number of grains
         IR(K) = IDNINT(R)              ! Nearest integer: number of grains
 100  CONTINUE
      ENDIF
 
      RETURN
      END
