      DOUBLE PRECISION FUNCTION DENTS(Mol,i,E)
 
c%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
c
c MultiWell: a code for chemical kinetics calculations.
c Copyright (C) 2001 John R. Barker
c
c John R. Barker
c jrbarker@umich.edu
c University of Michigan
c Ann Arbor, MI 48109-2143
c (734) 763 6239
c
c This program is free software; you can redistribute it and/or
c modify it under the terms of the GNU General Public License (version 2)
c as published by the Free Software Foundation.
c
c This program is distributed in the hope that it will be useful,
c but WITHOUT ANY WARRANTY; without even the implied warranty of
c MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
c GNU General Public License for more details.
c
c See the 'ReadMe' file for a copy of the GNU General Public License,
c or contact:
c
c Free Software Foundation, Inc.
c 59 Temple Place - Suite 330
c Boston, MA 02111-1307, USA.
c
c%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
c
c	Interpolates 2-D double array DensTS(Nchan,Isize) to determine
c	density of states of the transtition state at energy E. 
c       Note that the densities are stored as natural logs.
c
      IMPLICIT NONE
      INCLUDE 'declare1.inc'
      INTEGER Mol,i
      DOUBLE PRECISION E , DD , DOUBNTERP2
      EXTERNAL DOUBNTERP2
      SAVE 

 
      DD = DOUBNTERP2(E,Mol,DensTS,i)
 
      DENTS = exp(DD)   ! Densities stored as logs
      RETURN
      END
