**==qstop.spg  processed by SPAG 5.11R  at 20:12 on 26 Mar 2001
      FUNCTION QStop(T,BJ,BK,sig,C,S,H)
 
c%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 
c
c Thermo: a code for thermochemical calculations.
c Copyright (C) 2001 John R. Barker
c
c John R. Barker
c jrbarker@umich.edu
c University of Michigan
c Ann Arbor, MI 48109-2143
c (734) 763 6239
c
c This program is free software; you can redistribute it and/or
c modify it under the terms of the GNU General Public License (version 2)
c as published by the Free Software Foundation.
c
c This program is distributed in the hope that it will be useful,
c but WITHOUT ANY WARRANTY; without even the implied warranty of
c MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
c GNU General Public License for more details.
c
c See the "ReadMe" file for a copy of the GNU General Public License,
c or contact:
c
c Free Software Foundation, Inc.
c 59 Temple Place - Suite 330
c Boston, MA 02111-1307, USA.
c
c%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
c
c	Rotational partition function for symmetric top rotor
c
c	T	= temperature
c	BJ	= 2-D rotational constant (cm-1)
c	BK	= 1-D rotational constant (cm-1) (K-rotor)
c	sig	= rotor symmetry (foldedness)
c	C	= constant p heat capacity (units of R)
c	S	= entropy (units of R)
c	H	= [H(T)-H(0)]/RT
c
 
      IMPLICIT NONE
 
      DOUBLE PRECISION Q0 , Qtot(2), T, T2, BJ , BK, C , S , H , Ered ,
     &                 E , hor , F , Fac , Qstop, Q , H2, S2
 
      INTEGER  sig, j , k, i
 
      SAVE 
      
      
      hor = 1.43876887D+00
      T2=T     
c
c     Now start loop
      DO i=1,2

c     At j = 0:
c
!--------------------------------------------

       Q =  0.0D+00
       Fac = 1.0D+00

       j=-1
       DO WHILE ( Fac.GE.1.0D-12 )
        j=j+1
        Q0=0
        DO k=-j,j
         E=(BK-BJ)*(k**2)
         Ered = hor*E/T2
         Fac = EXP(-Ered)
         Q0 = Q0 + Fac
        ENDDO  !k
        F = (2.d+00*j+1.d+00)
        E = BJ*j*(j+1.d+00)
        Ered = hor*E/T2
        Fac = F*EXP(-Ered)*Q0
        Q=Q+Fac

       ENDDO !j
        Qtot(i)=Q/sig
        T2=T+T/1E5


      ENDDO  ! i

!     S/R=(lnQ + T dlnQ/dT)
      S=log(Qtot(1)) + T * (log(Qtot(2))-log(Qtot(1)))/(T2-T)
      S2=log(Qtot(2))+ T2 * (log(Qtot(2))-log(Qtot(1)))/(T2-T)

!     H/RT= S- lnQ
      H=S-log(Qtot(1))
      H2=S2-log(Qtot(2))

!     Cp/R= dH/dT
      C= T*(H2-H)/(T2-T)
       
      QStop = Qtot(1)
!     write(*,*) "Q Symm Top ",T, QStop
      RETURN
 
      END
