!     READ THERMO.DAT  AND CALC ZPE
      subroutine read_dat

      include 'declare.inc'
      Double Precision Mass(2), dum
      CHARACTER readpot*15

      hindrance=0
      gorin=0
      c=0
      a1=0

      OPEN (UNIT=4,STATUS='OLD',FILE='thermo.dat')                      ! General Data file

      READ (4,*) Eunits , Sunits
 
      IF ( Eunits.EQ.'KCAL' .OR. Eunits.EQ.'kcal' ) THEN
         Rgas = 8.314472D+00/4.184d+00
      ELSEIF ( Eunits.EQ.'KJOU' .OR. Eunits.EQ.'kjou' ) THEN
         Rgas = 8.314472D+00
      ELSEIF ( Eunits.EQ.'CM-1' .OR. Eunits.EQ.'cm-1' ) THEN
         Rgas = 0.6950356D+00
      ENDIF
 
      IF ( Sunits.EQ.'ATM' .OR. Sunits.EQ.'atm' ) THEN
         UNITS = 'atmosphere'
      ELSEIF ( Sunits.EQ.'BAR' .OR. Sunits.EQ.'bar' ) THEN
         UNITS = 'bar'
      ELSEIF ( Sunits.EQ.'MCC' .OR. Sunits.EQ.'mcc' ) THEN
         UNITS = 'molecule/cc'
      ENDIF
 
      READ (4,*) Nt
c
c	Number of temperatures (K)
c
      READ (4,*) (T(j),j=1,Nt)  ! Read list of temperatures
 
      Hdiff = 0.0
      Nreac = 0
      Nprod = 0
      Nctst = 0
 
      READ (4,*) Ns
c
c	Number of species
c
      DO 100 i = 1 , Ns
         Warning(i)=0
         READ (4,*) REPROD(i) , MOLNAME(i) , DelH(i) , AMU(i) , Sym(i) ,
     &               Sopt(i) , Nele(i) , N(i) , VHAR 
c
c	reac/prod, name, Enthalpy(0 K), molecular weight (amu),symmetry,
c		optical isomers, number of electronic levels, 
c		internal degrees of freedom (rots + vibs) to be read,
c               and whether vib. freqs. are harmonic, or observed 0-1 transitions;
c
         READ (4,99114) TITLE(i)
         READ (4,*) (Elev(i,ne) , gele(i,ne) , ne=1,Nele(i))
         IF(Nele(i).gt.10) then
           Warning(i)=1
           write(*,*) "**** WARNING: the maximum number of enegy levels
     &is 10. ****"
           write(*,*)  Nele(i)-10, " levels ignored."
           Nele(i)=10
         ENDIF
c
c               Electronic level energies and degeneracies (for Nele levels); note that
c               lowest electronic energy level should be at Elev = 0 cm-1.
c
            Nflag = 0
         IF ( REPROD(i).EQ.REAC ) THEN
            a1=a1+1
            mass(a1)=AMU(i)

            Nreac = Nreac + 1
            Hdiff = Hdiff - 1000.*DelH(i)       ! Hdiff in cal/mole or J/mole
            Nflag = 1
         ELSEIF ( REPROD(i).EQ.PROD ) THEN
            Nprod = Nprod + 1
            Hdiff = Hdiff + 1000.*DelH(i)       ! Hdiff in cal/mole or J/mole
            Nflag = 1
         ELSEIF ( REPROD(i).EQ.CTST) THEN
            Nctst = Nctst + 1
            Hdiff = Hdiff + 1000.*DelH(i)       ! Hdiff in cal/mole or J/mole
            Nflag = 1
         ELSEIF ( REPROD(i).EQ.NONE ) THEN
            Nnone = Nnone + 1
         ELSE 
           WRITE(*,*) "**** FATAL: unrecognized REPROD. ****"
            stop
         ENDIF

      IF ( Nctst .GT. 1 ) THEN
         STOP 'Too many transition states; only is one allowed!'
      ENDIF

      IF ( Nctst .EQ. 1 .AND. Nprod.GT.0 ) THEN
         STOP 'No Products allowed in Canonical TST calculation!'
      ENDIF

 
         zzpe(i) = 0.0       
         IF ( N(i).GT.0 ) THEN
            DO 20 II = 1 , N(i)
               READ (4,*) MODE(i,II) , IDOF(i,II) , WE(i,II) , ANH(i,II)
     &                    , NG(i,II)
               IF ( IDOF(i,II).EQ.VIB ) THEN                    ! VIBRATION
                if(NG(i,II).eq.10.AND.REPROD(i).EQ.PROD) then
                   freq=WE(i,II)
                   NG(i,II)=1
                endif
                  W(i,II) = WE(i,II)
                  IF ( VHAR .EQ. HAR ) THEN
                   WOBS(i,II) = WE(i,II)+2.*ANH(i,II)           ! WOBS = observed freq
                  ELSEIF ( VHAR .EQ. OBS ) THEN
                   WOBS(i,II) = WE(i,II)
                   WE(i,II)= WE(i,II)-2.*ANH(i,II)        ! Convert WE to harmonic frequency
                  ENDIF
                 qq=Qvib(10.d+00,WE(i,II),ANH(i,II),NG(i,II),Cvib,Svib,
     &                    Hvib,zap)
                  zzpe(i) = zzpe(i) + zap
               ELSEIF ( IDOF(i,II).EQ.BOX ) THEN                    ! PARTICLE IN A BOX 
                  W(i,II) = WE(i,II)
                  IF ( VHAR .EQ. HAR ) THEN
                   WOBS(i,II) = 3.0d+00*WE(i,II)                ! WOBS = observed freq (note that ANH is a placeholder: not used)
                  ELSEIF ( VHAR .EQ. OBS ) THEN
                   WOBS(i,II) = WE(i,II)
                   WE(i,II)= WE(i,II)/3.0d+00             ! Convert WE to harmonic frequency
                  ENDIF
                 zap = W(i,II)
                 zzpe(i) = zzpe(i) + zap
                ELSEIF ( IDOF(i,II).EQ.ROT ) THEN                ! CLASSICAL ROTOR
                  AMOM(i,II) = WE(i,II)
                ELSEIF ( IDOF(i,II).EQ.QRO ) THEN                ! QUANTUM ROTOR
                  AMOM(i,II) = WE(i,II)
             
                ELSEIF (IDOF(i,II).EQ. GOR) THEN                ! GORIN
                  AMOM(i,II) = WE(i,II)
                  Gorin=Gorin+1
                ELSEIF ( IDOF(i,II).EQ.FIT) THEN                ! HINDRANCE
                  AMOM(i,II) = WE(i,II)
                  hindrance=hindrance+1
                  Weorig(hindrance)= WE(i,II)
                ELSEIF ( IDOF(i,II).EQ.TOP ) THEN               ! Symmetric Top
                  AMOM(i,II) = WE(i,II)
                ELSEIF ( IDOF(i,II).EQ.HRA ) THEN                ! HINDERED ROTOR (modified Troe method) INPUT MOMENT & VIB FREQ
                  IF ( NG(i,II) .LT. 0 ) THEN
                      READ(4,*) NSIG(i,II)
                      NG(i,II) = -NG(i,II)
                    ELSE
                      NSIG(i,II) = NG(i,II)
                  ENDIF
                  W(i,II) = WE(i,II)                    ! small vibration frequency
                  AMOM(i,II) = ANH(i,II)                ! moment of inertia
                  B(i,II) = 16.85763D+00/AMOM(i,II)     ! rotational constant (cm-1)
                  VV(i,II) = ((W(i,II)/NG(i,II))**2)/B(i,II)
                                                        ! hindrance barrier (cm-1)
                  qq=Qhin(10.d+00,B(i,II),VV(i,II),NG(i,II),NSIG(i,II),
     &                    Chin,Shin,Hhin,zap)
                  zzpe(i) = zzpe(i) + zap
                  IDOF(i,II) = HIN
                ELSEIF ( IDOF(i,II).EQ.HRB ) THEN                ! HINDERED ROTOR (modified Troe method) INPUT VIB FREQ & BARRIER
                  IF ( NG(i,II) .LT. 0 ) THEN
                      READ(4,*) NSIG(i,II)
                      NG(i,II) = -NG(i,II)
                    ELSE
                      NSIG(i,II) = NG(i,II)
                  ENDIF
                  W(i,II) = WE(i,II)            ! small vibration frequency
                  VV(i,II) = ANH(i,II)                  ! hindrance barrier (cm-1)
                  IF (VV(i,II) .LT. 1.0d-05) STOP
     &            'Rotation barrier too small. Hit RETURN to terminate'
                  B(i,II) = ((W(i,II)/NG(i,II))**2)/VV(i,II)
                                                        ! rotational constant (cm-1)
                  AMOM(i,II) = 16.85763D+00/B(i,II)     ! rotational constant (cm-1)
                  IDOF(i,II) = HIN
                ELSEIF ( IDOF(i,II).EQ.HRC ) THEN                ! HINDERED ROTOR (modified Troe method) INPUT MOMENT & BARRIER
                  IF ( NG(i,II) .LT. 0) THEN
                      READ(4,*) NSIG(i,II)
                      NG(i,II) = -NG(i,II)
                    ELSE
                      NSIG(i,II) = NG(i,II)
                  ENDIF
                  AMOM(i,II) = WE(i,II)                 ! moment of inertia
                  B(i,II) = 16.85763D+00/AMOM(i,II)     ! rotational constant (cm-1)
                  VV(i,II) = ANH(i,II)                  ! hindrance barrier (cm-1)
                  W(i,II) = NG(i,II)*SQRT(B(i,II)*VV(i,II))
                                                        ! small vibration frequency
                  qq=Qhin(10.d+00,B(i,II),VV(i,II),NG(i,II),NSIG(i,II),
     &            Chin,Shin,Hhin,zap)
                  zzpe(i) = zzpe(i) + zap
                  IDOF(i,II) = HIN
                ELSE
                  write(*,*) "**** FATAL: Illegal IDOF. ****"         
                  stop
               ENDIF
 20         CONTINUE
!           IF(vts.ne.0.AND.REPROD(i).eq.PROD) read(4,*) re, DDelH
            mu=(mass(1)*mass(2))/(mass(1)+mass(2))
            beta=0.1217788*freq*SQRT(mu/De)
         ENDIF
 
 100  CONTINUE
  
      IF(hindrance.gt.0) READ (4,*) (Kexp(j),j=1,Nt)
      IF(Gorin.gt.0) then
         read(4,*) readpot   ! Potential
         read(4,*) freq      ! CM-1
         read(4,*) De        ! Eunit    Without ZPE
!        read(4,*) I2d       ! amu A**2
         read(4,*) re        ! Re, between centers of mass, A
         Deorig=De
         IF ( Eunits.EQ.'KCAL' .OR. Eunits.EQ.'kcal' ) THEN
          De=De*349.76
          ELSEIF ( Eunits.EQ.'KJOU' .OR. Eunits.EQ.'kjou' ) THEN
          De=De*83.59
         ENDIF

         a1=0
         do i=1,Ns
           IF(REPROD(i).EQ.REAC) then
            a1=a1+1
            mass(a1)=AMU(i)
           ENDIF 
         enddo 
         IF(a1.ne.2) then
           write(*,*) "**** FATAL: Wrong number of reactants. ****"
           stop
         ENDIF

         mu=(mass(1)*mass(2))/(mass(1)+mass(2))   
!        re=SQRT(I2d/mu)
         beta=0.1217788*freq*SQRT(mu/De)
        
         readpot=readpot(1:lnblnk(readpot))
         IF(readpot.eq."MORSE".OR.readpot.eq."morse") then
          POT="MORSE"
         elseif(readpot.eq."VARSHNI".OR.readpot.eq."varshni") then
          POT="VARSHNI"
          beta=0.5*(beta-(1/re))/re
         elseif (readpot.eq."sMORSE".OR.readpot.eq."smorse") then
          POT="sMORSE"
          read(4,*) c        ! read stiff Morse Parameter
         ELSE
          write(*,*) "**** FATAL: Potential not recognized"
          stop
         ENDIF

      ENDIF
        
      CLOSE(4)

99114 FORMAT (A80)
      
      end subroutine 
